# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::AddressBook::Iterator Class Reference

Address Book Iterator. More...

`#include <addressbook.h>`

List of all members.

## Public Member Functions

| Iterator (const Iterator &)
Iterator & | operator= (const Iterator &)
const Addressee & | operator * () const
Addressee & | operator * ()
Addressee * | operator-> ()
Iterator & | operator++ ()
Iterator & | operator++ (int)
Iterator & | operator-- ()
Iterator & | operator-- (int)
bool | operator== (const Iterator &it)
bool | operator!= (const Iterator &it)

## Public Attributes

IteratorData * | d

## Detailed Description

Address Book Iterator.

This class provides an iterator for address book entries.

Definition at line 57 of file addressbook.h.

The documentation for this class was generated from the following file:

- addressbook.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003